Subject: ab/only-single-progress-at-once (was: What's cooking in git.git (Oct 2021, #07; Fri, 29))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 01 Nov 2021 20:27:25 +0100

On Fri, Oct 29 2021, Junio C Hamano wrote:

> * ab/only-single-progress-at-once (2021-10-27) 8 commits
>  - progress.c: add & assert a "global_progress" variable
>  - various *.c: use isatty(1|2), not isatty(STDIN_FILENO|STDERR_FILENO)
>  - pack-bitmap-write.c: don't return without stop_progress()
>  - progress.c: add temporary variable from progress struct
>  - progress.c tests: test some invalid usage
>  - progress.c tests: make start/stop commands on stdin
>  - progress.c test helper: add missing braces
>  - leak tests: fix a memory leaks in "test-progress" helper
>
>  Further tweaks on progress API.
>
>  Correction of the course may be required?
>  cf. <[email-masked]>
>  cf. <[email-masked]>

Re-rolled a v5 to address that discussion:
https://lore.kernel.org/git/[email-masked]/

Per the re-roll the discussion doesn't directly affect this series, it
was on a part of the commit message that's musing about some WIP/POC
code I wrote, and which might use the new interface added in 8/8 in the
future.

In any case, I updated the commit message to note the potential issues
with that WIP code that were raised.

But as far as this progressing (aside from the rc period & all that) I
don't see why it should be blocked on that.